Bug 1475289 - Dynamic DNS no longer works post upgrade to F26.
Dynamic DNS no longer works post upgrade to F26.
Status: NEW
Product: Fedora
Classification: Fedora
Component: dhcpcd (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pavel (pavlix) Šimerda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 08:00 EDT by Jason Burgess
Modified: 2017-09-05 11:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Burgess 2017-07-26 08:00:48 EDT
Description of problem:

http://forums.fedoraforum.org/showthread.php?p=1791023

Post upgrade to F26 with no other configuration changes DDNS is no longer working when client leases an address. See above thread, of which I have validated also applies to my recent upgrade from F25->F26.

Version-Release number of selected component (if applicable):

dhcp-server-4.3.5-7.fc26.x86_64

How reproducible:

Any time a client attempts to lease an IP, no DDNS is performed. BIND will accept DDNS updates manually so it is not the BIND server. The DHCP server simply fails to even attempt DDNS updates.
Comment 1 Chris Egolf 2017-07-27 14:33:03 EDT
I'm seeing similar results. Using dhcp-server-4.3.5-7.fc26.x86_64 and bind-9.11.1-2.P2.fc26.x86_64, dynamic updates to DNS stopped after upgrading from F25->F26.  

Manually updating DNS/BIND with nsupdate works.
Comment 2 stig 2017-07-28 19:52:49 EDT
I had similar problems. Using dhcp-server-4.3.5-7.fc26.x86_64. Workaround is "dnf downgrade dhcp-server" witch will downgrade these packages.

Packages Altered:
    Downgrade  bind99-libs-9.9.9-5.P8.fc26.x86_64     @fedora
    Downgraded             9.9.10-1.P2.fc26.x86_64    (unknown)
    Downgrade  bind99-license-9.9.9-5.P8.fc26.noarch  @fedora
    Downgraded                9.9.10-1.P2.fc26.noarch (unknown)
    Downgrade  dhcp-client-12:4.3.5-6.fc26.x86_64     @fedora
    Downgraded             12:4.3.5-7.fc26.x86_64     (unknown)
    Downgrade  dhcp-common-12:4.3.5-6.fc26.noarch     @fedora
    Downgraded             12:4.3.5-7.fc26.noarch     (unknown)
    Downgrade  dhcp-libs-12:4.3.5-6.fc26.x86_64       @fedora
    Downgraded           12:4.3.5-7.fc26.x86_64       (unknown)
    Downgrade  dhcp-server-12:4.3.5-6.fc26.x86_64     @fedora
    Downgraded             12:4.3.5-7.fc26.x86_64     @updates

This will make DHCP update DDNS again.
Comment 3 Patrick Reeb 2017-07-30 19:11:02 EDT
I can confirm this after spending hours trying to figure out whats wrong: issue and the Workaround to Downgrade dhcp-server are as described.
Comment 4 Chris Egolf 2017-08-01 15:59:34 EDT
I think this is a duplicate of this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1471747

Looks like there's a pending F26 update candidate for this:

https://koji.fedoraproject.org/koji/buildinfo?buildID=919645
Comment 5 Jason Burgess 2017-08-28 11:07:56 EDT
Confirmed - issue is resolved in released 9.9.10-1.P3.
Comment 6 Bill Dripps 2017-09-05 09:45:11 EDT
I'm a bit confused. I have carefully followed this thread and also the thread in fedoraforum: https://forums.fedoraforum.org/showthread.php?p=1791595

I'm sure that 9.9.10-1.P3 fixes many things successfully, but doesn't seem to fix the initial problem. I certainly am not an expert, but I can make a few observations:

1. DDNS worked on my systems for many years through f25.
2. After upgrading to f26 and making no changes to DDNS configuration, DDNS stopped working. DNS and DHCP both continued to work, but not DDNS.
3. 'dnf downgrade dhcp-server' caused DDNS to work on f26 with no configuration changes. DNS and DHCP continue to work. The downgrade resulted in:
      Installed Packages
        bind99-libs.x86_64            9.9.9-5.P8.fc26                   @fedora
        dhcp-server.x86_64            12:4.3.5-6.fc26                   @fedora
      Available Packages
        bind99-libs.x86_64            9.9.10-2.P3.fc26                  updates
        dhcp-server.x86_64            12:4.3.5-9.fc26                   updates
4. If I upgrade dhcp-server under f26, with no configuration changes, DDNS stops working while DNS and DHCP continue to work.
5. I can upgrade and downgrade at any time, but the results don't change: downgrading gives me a working DDNS; upgrading breaks DDNS.

Perhaps the fix in bind99-libs-9.9.10-1.P3.x86_64 did not make it through to bind99-libs-9.9.10-2.P3.fc26.x86_64?

Thanks to all who are working on this issue, but it seems that the fix hasn't fixed the original issue.
Comment 7 Jason Burgess 2017-09-05 10:02:37 EDT
Correction to my original statement:

"Confirmed - issue is resolved in released bind99-libs-9.9.10-2.P3.fc26.x86_64".
Comment 8 Bill Dripps 2017-09-05 11:56:22 EDT
Thank you for clearing up my confusion. 
'dnf upgrade' and DDNS works fine with f26. No more need for a downgrade.

Note You need to log in before you can comment on or make changes to this bug.